zerops:
  - setup: static
    build:
      deployFiles:
        - ./
    run:
      os: alpine
      base: static
      envVariables:
        TEST_ENV: "You!"
        TITLE: "My Title Test"
      envReplace:
        target: ./
        delimiter: "%%"
      routing:
        redirects:
          - from: /*
            to: /index.html
  - setup: alpine
    extends: static
    run:
      os: alpine
      base: static
  - setup: ubuntu
    extends: static
    run:
      os: ubuntu
      base: static

  - setup: nginx
    build:
      deployFiles:
        - ./
    run:
      os: alpine
      base: nginx@latest
      envVariables:
        TEST_ENV: "You!"
        TITLE: "My Title Test"
      envReplace:
        target: ./
        delimiter: "%%"
      siteConfigPath: nginx.conf
  - setup: alpinenginx
    extends: nginx
    run:
      os: alpine
      base: nginx@latest
  - setup: ubuntunginx
    extends: nginx
    run:
      os: ubuntu
      base: nginx@latest
